# Uses of Class
javax.swing.event.ChangeEvent

Packages that use ChangeEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.colorchooser
Contains classes and interfaces used by the `JColorChooser` component.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of ChangeEvent in javax.swing

Fields in javax.swing declared as ChangeEvent
Modifier and Type
Field
Description
`protected ChangeEvent`
AbstractButton.`changeEvent`
Only one `ChangeEvent` is needed per button instance since the event's only state is the source property.
`protected ChangeEvent`
AbstractCellEditor.`changeEvent`
The change event.
`protected ChangeEvent`
DefaultBoundedRangeModel.`changeEvent`
Only one `ChangeEvent` is needed per model instance since the event's only (read-only) state is the source property.
`protected ChangeEvent`
DefaultButtonModel.`changeEvent`
Only one `ChangeEvent` is needed per button model instance since the event's only state is the source property.
`protected ChangeEvent`
DefaultSingleSelectionModel.`changeEvent`
Only one ModelChangeEvent is needed per model instance since the event's only (read-only) state is the source property.
`protected ChangeEvent`
JProgressBar.`changeEvent`
Only one `ChangeEvent` is needed per instance since the event's only interesting property is the immutable source, which is the progress bar.
`protected ChangeEvent`
JSlider.`changeEvent`
Only one `ChangeEvent` is needed per slider instance since the event's only (read-only) state is the source property.
`protected ChangeEvent`
JTabbedPane.`changeEvent`
Only one `ChangeEvent` is needed per `TabPane` instance since the event's only (read-only) state is the source property.
`protected ChangeEvent`
MenuSelectionManager.`changeEvent`
Only one ChangeEvent is needed per button model instance since the event's only state is the source property.
Methods in javax.swing with parameters of type ChangeEvent
Modifier and Type
Method
Description
`void`
JTable.AccessibleJTable.`columnMarginChanged(ChangeEvent e)`
Track changes of a column moving due to margin changes.
`void`
JTable.`columnMarginChanged(ChangeEvent e)`
Invoked when a column is moved due to a margin change.
`void`
JTable.AccessibleJTable.`editingCanceled(ChangeEvent e)`
Invoked when editing is canceled.
`void`
JTable.`editingCanceled(ChangeEvent e)`
Invoked when editing is canceled.
`void`
JTable.AccessibleJTable.`editingStopped(ChangeEvent e)`
Track changes to a cell's contents.
`void`
JTable.`editingStopped(ChangeEvent e)`
Invoked when editing is finished.
`void`
AbstractButton.ButtonChangeListener.`stateChanged(ChangeEvent e)`
`void`
JMenuItem.AccessibleJMenuItem.`stateChanged(ChangeEvent e)`
Supports the change listener interface and fires property changes.
`void`
JScrollPane.AccessibleJScrollPane.`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.
`void`
JSlider.AccessibleJSlider.`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.
`void`
JSpinner.AccessibleJSpinner.`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.
`void`
JSpinner.DefaultEditor.`stateChanged(ChangeEvent e)`
This method is called when the spinner's model's state changes.
`void`
JTabbedPane.AccessibleJTabbedPane.`stateChanged(ChangeEvent e)`
`void`
JTabbedPane.ModelListener.`stateChanged(ChangeEvent e)`
`void`
ProgressMonitor.AccessibleProgressMonitor.`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.

## Uses of ChangeEvent in javax.swing.colorchooser

Fields in javax.swing.colorchooser declared as ChangeEvent
Modifier and Type
Field
Description
`protected ChangeEvent`
DefaultColorSelectionModel.`changeEvent`
Only one `ChangeEvent` is needed per model instance since the event's only (read-only) state is the source property.

## Uses of ChangeEvent in javax.swing.event

Methods in javax.swing.event with parameters of type ChangeEvent
Modifier and Type
Method
Description
`void`
TableColumnModelListener.`columnMarginChanged(ChangeEvent e)`
Tells listeners that a column was moved due to a margin change.
`void`
CellEditorListener.`editingCanceled(ChangeEvent e)`
This tells the listeners the editor has canceled editing
`void`
CellEditorListener.`editingStopped(ChangeEvent e)`
This tells the listeners the editor has ended editing
`void`
ChangeListener.`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.

## Uses of ChangeEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ChangeEvent
Modifier and Type
Method
Description
`void`
BasicTreeUI.CellEditorHandler.`editingCanceled(ChangeEvent e)`
Messaged when editing has been canceled in the tree.
`void`
BasicTreeUI.CellEditorHandler.`editingStopped(ChangeEvent e)`
Messaged when editing has stopped in the tree.
`void`
BasicButtonListener.`stateChanged(ChangeEvent e)`
`void`
BasicMenuUI.ChangeHandler.`stateChanged(ChangeEvent e)`
`void`
BasicProgressBarUI.ChangeHandler.`stateChanged(ChangeEvent e)`
`void`
BasicScrollBarUI.ModelListener.`stateChanged(ChangeEvent e)`
`void`
BasicScrollPaneUI.HSBChangeListener.`stateChanged(ChangeEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
BasicScrollPaneUI.ViewportChangeHandler.`stateChanged(ChangeEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
BasicScrollPaneUI.VSBChangeListener.`stateChanged(ChangeEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
BasicSliderUI.ChangeHandler.`stateChanged(ChangeEvent e)`
`void`
BasicTabbedPaneUI.TabSelectionHandler.`stateChanged(ChangeEvent e)`

## Uses of ChangeEvent in javax.swing.table

Fields in javax.swing.table declared as ChangeEvent
Modifier and Type
Field
Description
`protected ChangeEvent`
DefaultTableColumnModel.`changeEvent`
Change event (only one needed)
Methods in javax.swing.table with parameters of type ChangeEvent
Modifier and Type
Method
Description
`void`
JTableHeader.`columnMarginChanged(ChangeEvent e)`
Invoked when a column is moved due to a margin change.

## Uses of ChangeEvent in javax.swing.text

Fields in javax.swing.text declared as ChangeEvent
Modifier and Type
Field
Description
`protected ChangeEvent`
DefaultCaret.`changeEvent`
The change event for the model.
`protected ChangeEvent`
StyleContext.NamedStyle.`changeEvent`
Only one ChangeEvent is needed per model instance since the event's only (read-only) state is the source property.